MagicalRecordExample
====================

OSX Example of CoreData's framework [MagicalRecord](https://github.com/magicalpanda/MagicalRecord)

## Setup MagicalRecord on your own project
* Clone or download [MagicalRecord](https://github.com/magicalpanda/MagicalRecord) from GitHub
* Add *CoreData.framework* to your project
* Drop the folder *MagicalRecord* folder to your project
* Add the following code to the .pch file of your project:


```
#define MR_SHORTHAND
#import "CoreData+MagicalRecord.h"
```


##How to use it

##### In your appDelegate
In your appDelegate, define the database file you will use (on applicationDidFinishLaunching for example):

```
[MagicalRecord setupCoreDataStackWithStoreNamed:@"MyDatabase.sqlite"];
```

On your applicationWillTerminate:

```
[MagicalRecord cleanUp];
```


##### where you want to use it

Wherever you want to use it: import your Entities

```
#import "Item.h" //CoreData Entity

```

Example of a method that creates new entities:

```
- (void)newItemWithName:(NSString *)name
{
    // Get the local context
    NSManagedObjectContext *localContext = [NSManagedObjectContext contextForCurrentThread];
    
    // Create a new Item in the current thread context
    Item *i = [Item createInContext:localContext];
    i.name = name;
    
   
    [localContext saveToPersistentStoreWithCompletion:^(BOOL success, NSError *error)
     {
         if (!success)
         {
             NSLog(@"Error: %@", [error localizedDescription]);
         }
         else
         {
             NSLog(@"Guardado: %@", name);
         }
     }];
}

```

##### Get Entities

```
[self newItemWithName:@"Joze"];
[self newItemWithName:@"Pepe"];
[self newItemWithName:@"Pepa"];
    
NSArray *objects = [Item findAll];
NSLog(@"%@",objects);

```
