//
//  TestAppDelegate.m
//  Test MagicalRecord
//
//  Created by Jose Luis Campaña on 29/01/13.
//  Copyright (c) 2013 Jose Luis Campaña. All rights reserved.
//
//  http://yannickloriot.com/2012/03/magicalrecord-how-to-make-programming-with-core-data-pleasant/
//  http://blog.ablfx.com/2012/03/using-coredata-magicalrecord/
//  http://www.cimgf.com/2011/03/13/super-happy-easy-fetching-in-core-data/


#import "TestAppDelegate.h"
#import "Item.h" //CoreData Entity

@implementation TestAppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
    [MagicalRecord setupCoreDataStackWithStoreNamed:@"MyDatabase.sqlite"];
    [self newItemWithName:@"Joze"];
    [self newItemWithName:@"Pepe"];
    [self newItemWithName:@"Pepa"];
    
    NSArray *objectos = [Item findAll];
    NSLog(@"%@",objectos);
    
}

- (void) applicationWillTerminate:(NSNotification *)notification
{
    [MagicalRecord cleanUp];
}


- (void)newItemWithName:(NSString *)name
{
    // Get the local context
    NSManagedObjectContext *localContext    = [NSManagedObjectContext contextForCurrentThread];
    
    // Create a new Person in the current thread context
    Item *i = [Item createInContext:localContext];
    i.name = name;
    
   
    [localContext saveToPersistentStoreWithCompletion:^(BOOL success, NSError *error)
     {
         if (!success)
         {
             NSLog(@"Error: %@", [error localizedDescription]);
         }
         else
         {
             NSLog(@"Guardado: %@", name);
         }
     }];
}

@end
